Skip to main content

Current User

NewBeta

CurrentUser objects represent the currently authenticated user in AppFolio®, including their role and permissions. Skywalk API allows you to obtain the following current user attributes from AppFolio®.

The CurrentUser Object

Attributes


appfolioIdstring
AppFolio ID of the current user.
Example:
"42"

namestring
Full name of the current user.
Example:
"Jane Smith"

firstNamestring
First name of the current user.
Example:
"Jane"

lastNamestring
Last name of the current user.
Example:
"Smith"

emailstring
Email address of the current user.
Example:
"jane.smith@example.com"

defaultEmailSignaturestring
Default email signature of the current user.
Example:
"Thank you,\nJane Smith"

rolestring
Role assigned to the current user (e.g., President, Manager).
Example:
"Property Manager"

permissionsRecord<string, string>
Mapping of permission roles to their privilege levels for the current user (e.g. { "services": "hidden", "admin_api_access": "full" }).
Example:
{"manage_users":"full","view_reports":"full","manage_properties":"full","services":"hidden","admin_api_access":"hidden"}

The CurrentUser Object
{
"appfolioId": "42",
"name": "Jane Smith",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"defaultEmailSignature": "Thank you,\nJane Smith",
"role": "Property Manager",
"permissions": {
"manage_users": "full",
"view_reports": "full",
"manage_properties": "full",
"services": "hidden",
"admin_api_access": "hidden"
}
}

Get Current User

GET /v1/me

Follows: AuthenticationCachingPollingList Response FormatScheduled Job

The current user endpoint returns the details of the currently authenticated AppFolio® user, including their role and permissions. This endpoint should respond immediately with your most recently cached data.

Parameters


This endpoint requires no additional parameters.

Returns


The standard List Response Format with a data property containing an array with a single CurrentUser object.

GET /v1/me
curl -X GET 'https://api.skywalkapi.com/v1/me' \ 
-H "X-API-Key: PUT_YOUR_API_KEY_HERE"
Response
{
"meta": {
"status": "ok",
"path": "/v1/me",
"count": 1,
"lastUpdated": 1610992228
},
"links": {},
"data": [
{
"appfolioId": "42",
"name": "Jane Smith",
"firstName": "Jane",
"lastName": "Smith",
"email": "jane.smith@example.com",
"defaultEmailSignature": "Thank you,\nJane Smith",
"role": "Property Manager",
"permissions": {
"manage_users": "full",
"view_reports": "full",
"manage_properties": "full",
"services": "hidden",
"admin_api_access": "hidden"
}
}
]
}